from dipencoder.dip_encoder import DipModuleClustering
from dipencoder.dataloader import *
import numpy as np
from sklearn.metrics import normalized_mutual_info_score as nmi, adjusted_rand_score as ari

def main():
    data, gt_labels = load_optdigits()
    # data, gt_labels = load_usps()
    # data, gt_labels = load_har()
    # data, gt_labels = load_pendigits()
    # data, gt_labels = load_reuters10k()
    # data, gt_labels = load_newsgroups()
    # data, gt_labels = load_letterrecognition()
    # data, gt_labels = load_mnist()
    # data, gt_labels = load_fmnist()
    # data, gt_labels = load_kmnist()
    n_clusters= len(np.unique(gt_labels))
    dipEncoder = DipModuleClustering(n_clusters)
    dipEncoder.fit(data)
    print("NMI:", nmi(gt_labels, dipEncoder.labels_))
    print("ARI:", ari(gt_labels, dipEncoder.labels_))

if __name__ == "__main__":
    main()